List Job Issues
curl --request GET \
--url https://{tenant_name}.{region}.techwolf.ai/job_architecture/issues \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/job_architecture/issues"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_name}.{region}.techwolf.ai/job_architecture/issues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 2,
"results": [
{
"issue_type": "missing_or_short_job_description",
"data": {
"job_id": "5cbdbdbe-5f44-4423-8157-5fgqsef7b834c"
},
"explanation": "Job description is missing or too short."
},
{
"issue_type": "missing_or_short_job_description",
"data": {
"job_id": "62d2c013-ab77-410e-b5fb-2f96eed9c1db"
},
"explanation": "Job description is missing or too short."
}
]
}[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Issues
List Job Issues
Get a list of the data issues identified for each Job.
List Job Issues
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The maximal number of entities returned, ordered by the last_updated field and external_id.
Required range:
1 <= x <= 200Example:
50
The applied offset for returned entities, results starting from offset up to offset + limit.
Required range:
x >= 0This parameter can be added multiple times to include more Jobs.
The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
Required string length:
1 - 100Pattern:
[a-zA-Z0-9_-]+Response
OK
Total number of identified Job data issues.
Required range:
x >= 0Example:
2
Subset of Job issues starting from offset up to offset + limit.
Show child attributes
Show child attributes
Example:
[
{
"issue_type": "missing_or_short_job_description",
"data": {
"job_id": "5cbdbdbe-5f44-4423-8157-5fgqsef7b834c"
},
"explanation": "Job description is missing or too short."
},
{
"issue_type": "missing_or_short_job_description",
"data": {
"job_id": "62d2c013-ab77-410e-b5fb-2f96eed9c1db"
},
"explanation": "Job description is missing or too short."
}
]
Was this page helpful?
⌘I